title: Jeu
icon: play

# status:
#   draft:
#     label: Brouillon
#     text: Le jeu n'est pas visible
#   unlisted:
#     label: Non listé
#     text: Le jeu est accessible mais pas dans la liste
#   listed:
#     label: Publié
#     text: Le jeu est visible publiquement

columns:
  # Colonne principale
  - width: 2/3
    sections:
      # Informations principales
      main:
        type: fields
        fields:
          lettering:
            label: Lettrage du jeu
            type: files
            layout: cardlets
            size: small
            max: 1
            accept: image/*
            translate: false
            image:
              ratio: 1/1
            uploads:
              template: image
            help: Image avec le lettrage du jeu
          description:
            label: Description
            type: writer
            marks:
              - bold
              - italic
              - green
              - pixel
              - underline
              - strike
              - clear
              - link

  # Sidebar
  - width: 1/3
    sections:
      info:
        type: fields
        fields:
          thumbnail:
            label: Vignette
            type: files
            layout: cards
            size: small
            max: 1
            accept: image/*
            translate: false
            image:
              ratio: 1/1
            uploads:
              template: image
            help: Petite image carrée représentant le jeu
          background_image:
            label: Image d'arrière plan
            type: files
            layout: cards
            max: 1
            accept: image/*
            translate: false
            image:
              ratio: 16/9
              cover: true
            uploads:
              template: image
            help: Image affichée en arrière-plan quand le jeu est sélectionné
          play_links:
            label: Lien(s) pour jouer
            help: Sans lien renseigner, le jeu aura une étiquette "coming soon" et ne sera pas jouable.
            type: structure
            fields:
              link_label:
                label: Nom du bouton
                type: text
                width: 1/2
                placeholder: "Ex: App Store, Site web..."
              link_url:
                label: URL
                type: url
                width: 1/2
